%define version 0.0.3b
%define release 4

Summary:      Qt based patchbay for Jack
Name:         qjackconnect
Version:      %{version}
Release:      %{release}%{?dist}
License:      GPL
Group:        Applications/Multimedia
URL:          http://www.suse.de/~mana/jack.html
Source0:      %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
Requires:     jack-audio-connection-kit >= 0.66.3
Requires:     qt >= 3.1

BuildRequires: gcc-c++ alsa-lib-devel jack-audio-connection-kit-devel qt-devel

%description
A Qt based patchbay for Jack (the Jack Audio Connection Kit)

%prep
%setup -q

%build
%ifnarch x86_64
    perl -p -i -e "s,/usr/lib/qt3,/usr/lib/qt-3.3,g" make_qjackconnect
    perl -p -i -e "s,-lqt-mt,-lqt-mt -lqassistantclient,g" make_qjackconnect
%else
    perl -p -i -e "s,/usr/lib/qt3,/usr/lib64/qt-3.3,g" make_qjackconnect
    perl -p -i -e "s,-lqt-mt,-lqt-mt -lqassistantclient,g" make_qjackconnect
%endif
make -f make_qjackconnect

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 qjackconnect $RPM_BUILD_ROOT%{_bindir}

#--- desktop entry
cat << EOF > startcom-%{name}.desktop
[Desktop Entry]
Name=Qjackconnect
Comment=Jack patchbay
Icon=
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor startcom \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
    --add-category X-StartCom-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    startcom-%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc INSTALL LICENSE
%{_bindir}/*
%{_datadir}/applications/*%{name}.desktop

%changelog
* Mon Apr 17 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon May 30 2005 Eddy Nigg <eddy_nigg@startcom.org>
- more changes for StartCom Linux 4.0.x
